## CamelStreamFs

CamelStreamFs

## Synopsis

    struct              CamelStreamFs;
    CamelStream*        camel_stream_fs_new_with_name       (const char *name,
                                                             int flags,
                                                             mode_t mode);
    CamelStream*        camel_stream_fs_new_with_name_and_bounds
                                                            (const char *name,
                                                             int flags,
                                                             mode_t mode,
                                                             off_t start,
                                                             off_t end);
    CamelStream*        camel_stream_fs_new_with_fd         (int fd);
    CamelStream*        camel_stream_fs_new_with_fd_and_bounds
                                                            (int fd,
                                                             off_t start,
                                                             off_t end);

## Description

## Details

### struct CamelStreamFs

    struct CamelStreamFs {
    	CamelSeekableStream parent_object;

    	int fd;             /* file descriptor on the underlying file */
    };

### camel_stream_fs_new_with_name ()

    CamelStream*        camel_stream_fs_new_with_name       (const char *name,
                                                             int flags,
                                                             mode_t mode);

`name` : |
`flags` : |
`mode` : |
Returns : |

### camel_stream_fs_new_with_name_and_bounds ()

    CamelStream*        camel_stream_fs_new_with_name_and_bounds
                                                            (const char *name,
                                                             int flags,
                                                             mode_t mode,
                                                             off_t start,
                                                             off_t end);

`name` : |
`flags` : |
`mode` : |
`start` : |
`end` : |
Returns : |

### camel_stream_fs_new_with_fd ()

    CamelStream*        camel_stream_fs_new_with_fd         (int fd);

`fd` : |
Returns : |

### camel_stream_fs_new_with_fd_and_bounds ()

    CamelStream*        camel_stream_fs_new_with_fd_and_bounds
                                                            (int fd,
                                                             off_t start,
                                                             off_t end);

`fd` : |
`start` : |
`end` : |
Returns : |